Run of scrub-obsolete for ncurses

Try this locally (using the lintian-brush package):

debcheckout ncurses
cd ncurses
deb-scrub-obsolete
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
Opening branch at https://salsa.debian.org/debian/ncurses.git/,branch=master
Using cached branch https://janitor.debian.net/git/ncurses/,branch=master
7% (4595/27027)
efs/tags/debian/6.2+20200918-1 does not point to a valid object!
git: refs/tags/debian/6.2-1 does not point to a valid object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
git: refs/tags/upstream/6.2 does not point to a valid object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
git: refs/tags/upstream/6.2+20200918 does not point to a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 27027 (delta 18386), reused 8641 (delta 0), pack-reused 0

tags/debian/6.2+20200918-1 does not point to a valid object!
error: refs/tags/debian/6.2-1 does not point to a valid object!
err
or: refs/tags/upstream/6.1+20191019 does not point to a valid object!
error: refs/tags/upstream/6.2 does not point to a valid ob
ject!
error: refs/tags/upstream/6.2+20200912 does not point to a valid object!
error: refs/tags/upstream/6.2+20200918 does not p
oint to a valid object!
error: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 384 (delta 259), reused 125 (delta 0), pack-reused 0

)
  36% (125/345)
  68% (235/345)
tags/debian/6.2+20200918-1 does not point to a valid object!
error: refs/tags/debian/6.2-1 does not point to a valid object!
err
or: refs/tags/upstream/6.1+20191019 does not point to a valid object!
error: refs/tags/upstream/6.2 does not point to a valid ob
ject!
error: refs/tags/upstream/6.2+20200912 does not point to a valid object!
error: refs/tags/upstream/6.2+20200918 does not p
oint to a valid object!
error: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 399 (delta 98), reused 301 (delta 0), pack-reused 0

Total 231 (delta 110), reused 207 (delta 86), pack-reused 0
All changes applied successfully.
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64ncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64ncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32ncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32ncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo5 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo5 (= ${binary:Version})", returning it raw
  warnings.warn(
Using fixers: [<ognibuild.debian.fix_build.PgBuildExtOutOfDateControlFixer object at 0x7f646d702f10>, SimpleBuildFixer(<class 'buildlog_consultant.common.MissingConfigure'>, <function fix_missing_configure at 0x7f647045f430>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingAutomakeInput'>, <function fix_missing_automake_input at 0x7f647045f4c0>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingConfigStatusInput'>, <function fix_missing_config_status_input at 0x7f647045f550>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPerlFile'>, <function fix_missing_makefile_pl at 0x7f647045f5e0>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPythonModule'>, <function fix_missing_python_module at 0x7f647045f280>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPythonDistribution'>, <function fix_missing_python_distribution at 0x7f647045f1f0>), SimpleBuildFixer(<class 'buildlog_consultant.apt.AptFetchFailure'>, <function retry_apt_failure at 0x7f647045f310>), PackageDependencyFixer(<ognibuild.resolver.apt.AptResolver object at 0x7f646d7026d0>)]
Building debian packages, running 'sbuild -A -v -c unstable-amd64-sbuild'.
Built ncurses_6.2+20201114-3~cme+obs1_amd64.changes
Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
git: refs/tags/debian/6.2+20200912-1 does not point to a valid object!
git: refs/tags/debian/6.2+20200918-1 does not point to a valid object!
git: refs/tags/debian/6.2-1 does not point to a valid object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
git: refs/tags/upstream/6.2 does not point to a valid object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
git: refs/tags/upstream/6.2+20200918 does not point to a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
fatal: bad object .alternate
Elapsed time: 0:18:17.357507

Full worker log Full build log